Skip to main content

Get all emails

Returns first N emails specified by the size parameter with page offset specified by page parameter.

Query Parameters
filters string

Filter

page int32

Zero-based page index.

size int32

The size of the page to be returned.

sort string[]

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

search string

Search query

Header Parameters
X-Tenant-ID — REQUIRED
Responses
200

OK

Schema — OPTIONAL
content object[] — OPTIONAL
editable boolean — OPTIONAL
email string — OPTIONAL
fipDatCreated string — OPTIONAL
fipDate string — OPTIONAL
fipUser string — OPTIONAL
fipUserCreated string — OPTIONAL
fipVersion int64 — OPTIONAL

The version of the object used for optimistic locking, must be not null for update, but null for insert.

id int64 — OPTIONAL

The id of the object, must be not null for update, but null for insert.

usedForCorrespondence boolean — OPTIONAL
empty boolean — OPTIONAL
first boolean — OPTIONAL
last boolean — OPTIONAL
number int32 — OPTIONAL
numberOfElements int32 — OPTIONAL
pageable object — OPTIONAL
offset int64 — OPTIONAL
pageNumber int32 — OPTIONAL
pageSize int32 — OPTIONAL
paged boolean — OPTIONAL
sort object — OPTIONAL
empty boolean — OPTIONAL
sorted boolean — OPTIONAL
unsorted boolean — OPTIONAL
unpaged boolean — OPTIONAL
size int32 — OPTIONAL
sort object — OPTIONAL
empty boolean — OPTIONAL
sorted boolean — OPTIONAL
unsorted boolean — OPTIONAL
totalElements int64 — OPTIONAL
totalPages int32 — OPTIONAL
401

Unauthorized

403

Forbidden

404

Not Found